Skip to main content
Return the immutable version metadata, file manifest, and source training run.

Signature

Method signature on client.models:

Parameters

string
required
Model version ID with prefix mdv..

Returns

Promise<ModelVersion> One immutable version of a project Model.
ModelVersionId
required
Model version ID with prefix mdv..
ModelId
required
Model ID with prefix mdl..
string
required
Name of this model version.
number
required
Positive revision number assigned to this version within its model.
object
required
Model weights or LoRA adapter, its base model, parent, and file manifest.
object
required
Training run that produced this model version.
string
required
Time the model version was created, as an ISO 8601 timestamp.

Errors

HTTP errors throw PotatoApiError. The endpoint documents these error responses: HTTP endpoint: GET /model-versions/{modelVersionId}.